## tonegeneratesrc tonegeneratesrc |

## Properties

gint | freq | Read / Write
gint | freq2 | Read / Write
gint | off-time | Read / Write
gint | off-time2 | Read / Write
gint | on-time | Read / Write
gint | on-time2 | Read / Write
gboolean | repeat | Read / Write
gint | samplesperbuffer | Read / Write
gint | volume | Read / Write
gint | volume2 | Read / Write

## Types and Values

struct | GstToneGenerateSrc

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseSrc
                        ╰── GstPushSrc
                            ╰── GstToneGenerateSrc

## Description

## Synopsis

### Element Information

plugin | spandsp
author | Iskratel <www.iskratel.com>
class | Source/Audio

### Element Pads

name | src
direction | source
presence | always
details | audio/x-raw, format=(string)S16LE, layout=(string)interleaved, rate=(int)8000, channels=(int)1

## Functions

## Types and Values

### struct GstToneGenerateSrc

    struct GstToneGenerateSrc;

tonegeneratesrc object structure.

## Property Details

### The `“freq”` property

      “freq”                     gint

Frequency of test signal.

Flags: Read / Write

Allowed values: [0,20000]

Default value: 0

### The `“freq2”` property

      “freq2”                    gint

Frequency of second telephony tone component.

Flags: Read / Write

Allowed values: [0,20000]

Default value: 0

### The `“off-time”` property

      “off-time”                 gint

Time of the first period when the tone signal is off.

Flags: Read / Write

Allowed values: >= 0

Default value: 1000

### The `“off-time2”` property

      “off-time2”                gint

Time of the second period when the tone signal is off.

Flags: Read / Write

Allowed values: >= 0

Default value: 1000

### The `“on-time”` property

      “on-time”                  gint

Time of the first period when the tone signal is present.

Flags: Read / Write

Allowed values: >= 1

Default value: 1000

### The `“on-time2”` property

      “on-time2”                 gint

Time of the second period when the tone signal is present.

Flags: Read / Write

Allowed values: >= 1

Default value: 1000

### The `“repeat”` property

      “repeat”                   gboolean

Whether to repeat specified tone indefinitly.

Flags: Read / Write

Default value: FALSE

### The `“samplesperbuffer”` property

      “samplesperbuffer”         gint

Number of samples in each outgoing buffer.

Flags: Read / Write

Allowed values: >= 1

Default value: 1024

### The `“volume”` property

      “volume”                   gint

Volume of first signal.

Flags: Read / Write

Allowed values: [-50,0]

Default value: 0

### The `“volume2”` property

      “volume2”                  gint

Volume of second tone signal.

Flags: Read / Write

Allowed values: [-50,0]

Default value: 0